#include "itkImage.h"
#include "itkImageFileReader.h"
#include "itkImageFileWriter.h"
#include "SheppLoganFilter.h"


int main(int argc, char* argv[])
{
std::string inputFilename("test.png");
std::string outputFielname("test2.png");

typedef unsigned char uchar;
typedef uchar PixelType;
const int Dimension = 2;
typedef itk::Image< PixelType, Dimension > ImageType;


//reading image from disk

typedef itk::ImageFileReader< ImageType > ReaderType;
ReaderType::Pointer reader = ReaderType::New();
reader->SetFileName(inputFilename);

reader->Update();

ImageType::Pointer input_image = ImageType::New(); 
input_image = reader->GetOutput();

typedef SheppLoganFilter<ImageType, ImageType>  FilterType;
FilterType::Pointer filter = FilterType::New();
        filter->SetInput(input_image);

filter->SetVRadius( 1 );

typedef itk::ImageFileWriter< ImageType > WriterType;
WriterType::Pointer writer = WriterType::New();
writer->SetInput(filter->GetOutput());
writer->SetFileName(outputFielname);

try
  {
  writer->Update();
  }
catch( itk::ExceptionObject exp )
  {
  std::cerr << "writing image " << outputFielname << " caused a problem." << std::endl;
  std::cerr << exp << std::endl;
  return 1;
  }

} 


